# $Revision: 1.94 $, $Date: 2009/05/13 07:17:50 $
#
# Conditional build:
%bcond_without	selinux		# build without SELinux support
#
Summary:	Utilities for managing processes on your system
Summary(de.UTF-8):	Utilities zum Verwalten der Prozesse auf Ihrem System
Summary(es.UTF-8):	Más herramientas de tipo ps para el sistema de archivos /proc
Summary(fr.UTF-8):	Autres outils du type ps pour le système de fichiers /proc
Summary(ko.UTF-8):	시스템에서 프로세서를 관리하는 도구
Summary(pl.UTF-8):	Narzędzia do kontroli procesów
Summary(pt_BR.UTF-8):	Mais ferramentas do tipo ps para o sistema de arquivos /proc
Summary(ru.UTF-8):	Утилиты работы с процессами
Summary(tr.UTF-8):	/proc dosya sistemi için ps tipi araçlar
Summary(uk.UTF-8):	Утиліти роботи з процесами
Name:		psmisc
Version:	22.7
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://dl.sourceforge.net/psmisc/%{name}-%{version}.tar.gz
# Source0-md5:	ee9ec3b60fe45057ec4cec19c94a2d15
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	9add7665e440bbd6b0b4f9293ba8b86d
Patch0:		%{name}-pl.po-update.patch
URL:		http://psmisc.sourceforge.net/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.10
BuildRequires:	gettext-devel >= 0.14.1
%{?with_selinux:BuildRequires:	libselinux-devel}
BuildRequires:	ncurses-devel >= 5.0
Conflicts:	heartbeat < 2.0.8-0.2
Conflicts:	rc-scripts < 0.4.1.6-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/bin

%description
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser. The pstree command displays a tree
structure of all of the running processes on your system. The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name. The fuser command identifies the PIDs of
processes that are using specified files or filesystems.

%description -l de.UTF-8
Das psmisc-Paket enthält Utilities zum Verwalten vom Prozessen auf
Ihrem System: pstree, killall und fuser. Der pstree-Befehl zeigt eine
Baumstruktur von allen laufenden Prozessen an. killall schickt
angegebenen Programmen ein Signal (SIGTERM, falls nichts anderes
angegeben wird). fuser identifiziert die PIDs (Prozess-IDs) von
Prozessen, die bestimmte Dateien oder Dateisysteme benutzen.

%description -l es.UTF-8
Este paquete contiene programas para enseñar un árbol de procesos,
saber que usuarios tienen archivo abierto y mandar señales a los
procesos por nombre.

%description -l fr.UTF-8
Ce paquetage contient les programmes pour afficher une arborescence de
processus, trouver quel utilisateur a un fichier ouvert et envoyer des
signaux aux processes par leurs noms.

%description -l pl.UTF-8
Ten pakiet zawiera programy umożliwiające wyświetlenie drzewa
procesów, znalezienie użytkownika, który otworzył dany plik i wysłanie
sygnału do procesu o zadanej nazwie.

%description -l pt_BR.UTF-8
Este pacote contém programas para mostrar uma árvore de processos,
saber quais usuários têm arquivo aberto e mandar sinais aos processos
por nome.

%description -l ru.UTF-8
В этот пакет включены программы для отображения дерева процессов,
получения информации о том, кем открыт файл и для посылки сигналов
процессам по имени процесса.

%description -l tr.UTF-8
Bu paket, süreçlerin ağaç yapısını göstermek, hangi kullanıcıların
açık dosyası olduğunu bulmak ve süreçlere isimleri ile sinyal
göndermek için gerekli programları içerir.

%description -l uk.UTF-8
Цей пакет містить програми для відображення дерева процесів, посилки
сигналів процесам по імені процеса та отримання інформації про те, хто
відкрив файл.

%prep
%setup -q
%patch0 -p1

rm -f po/stamp-po

%build
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
CFLAGS="%{rpmcflags} -D_GNU_SOURCE -I/usr/include/ncurses"
%configure \
	%{?with_selinux:--enable-selinux}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
rm -f $RPM_BUILD_ROOT%{_mandir}/README.psmisc-non-english-man-pages

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS Chang* NEWS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(ko) %{_mandir}/ko/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: psmisc.spec,v $
Revision 1.94  2009/05/13 07:17:50  amateja
- updated to 22.7

Revision 1.93  2007/12/29 00:43:08  glen
- rel 2

Revision 1.92  2007-11-06 17:23:26  qboosh
- updated to 22.6
- updated pl.po-update patch

Revision 1.91  2007/05/15 15:02:29  arvenil
- mv /sbin/fuser /bin/fuser (because KDE and users want it in PATH)

Revision 1.90  2007/04/25 15:55:03  qboosh
- updated to 22.5 (currently peekfd is x86-only)

Revision 1.89  2007/04/19 19:56:45  qboosh
- updated to 22.4
- added pl.po-update patch

Revision 1.88  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.87  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.86  2006/09/17 21:36:26  glen
- check-files cleanup

Revision 1.85  2006/09/17 21:08:07  qboosh
- updated to 22.3

Revision 1.84  2006/03/19 10:30:36  qboosh
- updated to 22.2, removed obsolete pl.po-update patch

Revision 1.83  2006/02/05 20:02:18  qboosh
- updated to 22.1, updated pl.po-update patch
- removed fuser-signal patch (alternative fix already in sources)

Revision 1.82  2005/12/25 01:48:39  arekm
- rel 3

Revision 1.81  2005/12/25 01:41:12  arekm
- rel 2; partial fix for -signal handling

Revision 1.80  2005/12/21 18:43:08  qboosh
- updated to 21.9, updated pl.po-update patch

Revision 1.79  2005/11/17 12:52:32  qboosh
- updated to 21.8, updated pl.po-update patch

Revision 1.78  2005/11/04 08:30:53  qboosh
- updated to 21.7, removed obsolete tinfo,selinux,pstree-on-tty patches
- added pl.po-update patch
- what libtool? removed

Revision 1.77  2005/06/08 18:16:39  jajcus
- Release: 2 STBR
- License update (has changed to GPL for version 20 onwards)

Revision 1.76  2005/03/20 21:42:19  qboosh
- updated to 21.6
- updated tinfo,selinux patches, removed obsolete missing-nls,pl.po patches

Revision 1.75  2004/11/17 21:51:32  glen
- fix selinux bcond; rel 3; STBR

Revision 1.74  2004/10/24 20:44:20  paladine
- spelling fixes, uppercases, etc.

Revision 1.73  2004/08/22 10:58:25  trojan
- reverted "little cleanups"

Revision 1.72  2004/08/12 18:20:36  arekm
- rel2 (check if stdout is a tty and THEN use semigraphic; fixes pstree -lpu | less problem)

Revision 1.71  2004/07/28 17:11:40  paszczus
- little cleanups

Revision 1.70  2004/07/16 18:57:35  qboosh
- updated patches, release 1

Revision 1.69  2004/07/15 23:16:13  qboosh
- started update to 21.5, updated missing-nls patch; WIP

Revision 1.68  2004/04/20 03:21:59  agaran
- bcond without selinux

Revision 1.67  2003/12/11 22:29:43  qboosh
- added missing-nls patch, updated pl.po and selinux patches
- remove stamp-po - now pl translation is included in built package

Revision 1.66  2003/12/10 23:56:25  qboosh
- updated to 21.4
- updated pl.po and selinux patches

Revision 1.65  2003/10/19 22:59:40  arekm
- drop selinux bcond

Revision 1.64  2003/09/01 16:35:41  mmazur
- rel 1 for ac

Revision 1.63  2003/08/12 22:32:52  ankry
- cosmetics

Revision 1.62  2003/07/11 23:04:16  qboosh
- added tinfo patch (part of old make patch which wasn't obsolete)

Revision 1.61  2003/07/04 12:06:16  areq
- 21.3
- selinux.patch must be updated

Revision 1.60  2003/06/20 14:35:11  michuz
- rel 2
- added bcond selinux support

Revision 1.59  2003/06/02 15:18:30  ankry
- added/changed non-english-man-pages URL

Revision 1.58  2003/05/29 11:14:17  adgor
- Fixed srcs md5dum; bad urls removed

Revision 1.57  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.56  2003/05/25 06:25:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.55  2003/02/07 23:38:09  radek
- updated Source0 URL

Revision 1.54  2003/01/16 21:53:44  kloczek
- merge ko translations grom MIZI.

Revision 1.53  2003/01/16 20:26:58  qboosh
- up to 21.2, updated make patch, added pl.po patch

Revision 1.52  2002/10/09 13:14:45  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.51  2002/10/09 09:58:26  qboosh
- BR: libtool

Revision 1.50  2002/06/23 20:52:53  kloczek
- perl -pi -e "s/^gettextize --copy --force/\%\{__gettextize\}/"

Revision 1.49  2002/06/23 20:32:33  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.48  2002/05/21 23:14:33  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.47  2002/05/21 22:40:54  qboosh
- new %doc

Revision 1.46  2002/05/19 22:33:53  ankry
- removed non-exixtent de man-pages frpm %files

Revision 1.45  2002/05/19 21:50:43  kloczek
- merge translations from KSI.

Revision 1.44  2002/05/19 21:09:00  pioklo
- up to 21
- add libtoolize to %build section
- add more lang
- STBR

Revision 1.43  2002/03/27 16:17:14  misiek
- use same signal numbers as in glibc; release 4

Revision 1.42  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.41  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.40  2002/01/18 02:14:42  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.39  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.38  2001/11/10 11:16:26  qboosh
- finished adding non-english-man-pages

Revision 1.37  2001/11/09 00:02:06  ankry
- added fi,fr,hu,it,ja,ko,nl,pl man pages
- release 3

Revision 1.36  2001/10/21 18:51:25  kloczek
- relese 2: fix: killall, pstree to %{_bindir} and fusers to %{_sbindir}.

Revision 1.35  2001/10/21 01:21:08  kloczek
- updated to 20.2,
- merged translations from CNV.

Revision 1.34  2001/10/03 08:08:45  marcus
- ac/am fixes now are complete!

Revision 1.33  2001/10/03 08:00:29  marcus
- rewerted changes

Revision 1.32  2001/10/03 07:43:50  marcus
- wrrr, configure2_13

Revision 1.31  2001/10/03 07:41:33  marcus
- ac/am fixes

Revision 1.30  2001/06/04 15:31:11  kloczek
- release 3.

Revision 1.29  2001/06/04 14:48:50  baggins
- really use rpmcflags

Revision 1.28  2001/05/06 22:16:53  kloczek
- pass -D_GNU_SOURCE in CFLAGS.

Revision 1.27  2001/05/06 21:03:13  misiek
- release 2
- fuser place is in /sbin (rc-scripts depend on it)

Revision 1.26  2001/03/31 17:02:45  misiek
- 20.1; stb

Revision 1.25  2001/01/25 20:03:47  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.24  2000/12/23 00:48:46  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.23  2000/10/20 01:04:47  kloczek
- release 5: use new rpm automation.

Revision 1.22  2000/07/13 23:20:36  baggins
- release 2
- rebuild with ncurses 5.1

Revision 1.21  2000/06/09 07:23:51  kloczek
- added using %{__make} macro.

Revision 1.20  2000/06/07 04:36:13  kloczek
- spec adapterized.

Revision 1.19  2000/04/01 11:15:36  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.18  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.17  1999/12/05 21:45:58  kloczek
- updated to 19.

Revision 1.16  1999/11/16 18:31:23  kloczek
- release 6,
- build against ncurses 5.0.

Revision 1.15  1999/10/06 01:32:39  kloczek
- new de translation from Mandrake.

Revision 1.14  1999/10/06 01:28:45  kloczek
- release 5,
- move fuser to /sbin.

Revision 1.13  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.12  1999/07/12 23:06:13  kloczek
- added using CVS keywords in %changelog (for automating them).
